Subject: [Iptel] RE: Comments on draft-ietf-iptel-trip-mib-07.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 11 Aug 2003 15:20:01 +0200

Thanks Dan for your review.

I think the copyright-year will be addressed by RFC-Editor when it gets there.
So unless there are othe reasons for a respin, I can live with it for now.
But it seems anew rev may be wise because of my additional comments below

I wonder why sect 14 is needed. I leave this up to TSV AD(s) on how to deal
with it.

From a MIB review perspective I have a few additional comments):
-  I think that RFC2788 needs to be added to normative references since
   this doc IMPORTs from the  NETWORK-SERVICES-MIB in RFC2788
- TRIP-TC module does not have a REVISION clause, which we actually DO
  want to have.
- I get these smilint warnings:
    .\TRIP-MIB:327: [5] {index-exceeds-too-large} index of row `tripRouteTypeEntry'
      can exceed OID size limit by 6 subidentifier(s)
    .\TRIP-MIB:511: [5] {index-exceeds-too-large} index of row `tripPeerEntry' can
      exceed OID size limit by 6 subidentifier(s)
  SMICng complains about the same. I see
          1.3.6.1.2.1.xxxx.1.2.1.6  tripRouteTypePeer 
  as the first accessible object int tripRouteTypeEntry. So prefix is 11 subids
  index objects are 5 integer-based objects and a var size octet string.
  so we have 5 plus 1 (for lenght) plus number of octets as index part.
  So we have 6 fixed (5 integers plus length value) subids plus one for every
  octet in the octet string. So max size for OCTET STRING should be
  111 octets, not 117.
  Similar calculation for tripPeerEntry seem to tell me max lenght can be 113
  instead of 119.
  This makes me thin k that it is kind of strange to ha ve different size for InetAddress,
  is it not. Another way to solve these concerns is to add something to the DESCRIPTION
  clause that states the implementation issues w.r.t. 128 subids instad of setting
  arbitray size constrains in the SYNTAX field  (that we may regret if the 128 subid
  limit ever gets removed). A good example of text for this would be in
  arcEntry in draft-ietf-disman-conditionmib-09.txt or sctpAssocLocalAddrEntry in
  draft-ietf-sigtran-sctp-mib-10.txt
- smicng (strict checking) also complains:
      E: f(trip.mi2), (1629,33) Item "applRFC2788Group" should be IMPORTed
  it is not a MUST that you do import it. But as the mib-review-guidelines state,
  it would be good to do so to not cause confusion.

From a generic review 
- Missing reference [BCP0014]
- Ref [RFC2026] probably goes away when this becomes an RFC

Thanks,
Bert 

> -----Original Message-----
> From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> Sent: maandag 11 augustus 2003 14:34
> To: list iptel
> Cc: David Zinman; Bert Wijnen (E-mail)
> Subject: Comments on draft-ietf-iptel-trip-mib-07.txt
> 
> 
> The latest version addresses all major issues in my previous 
> review, and does not seem to have introduced new ones. 
> 
> I am left with two editorial comments, which may be addressed 
> down the road:
> 1. The copyright year in the DESCRIPTION clauses of the two 
>       MIB modules still says 2002.
> 2. One of the Area Directors was replaced since the previous 
>       Internet-Draft publication (Section 14). 
> 
> Thanks,
> Dan
> 

_______________________________________________
Iptel mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/iptel

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 11 Aug 2003 15:31:16 +0200

Does this mean that David's address info needs to be updated
as well??!!

Thanks,
Bert 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: maandag 11 augustus 2003 15:20
To: [email-masked]
Subject: Re: RE: Comments on draft-ietf-iptel-trip-mib-07.txt

Please be advised that David Zinman is no longer employed at SOMA
Networks, Inc.

For SOMA business matters requiring assistance, please contact
Glenn McAllister at [email-masked].

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 11 Aug 2003 19:57:17 +0300

Bert is correct with respect to the OID size limit errors. I was using a non-edited version of the MIB (with the root OID xxxx-ed) and did not get the errors at compilation. These were rather major issues in my previous review, and I suggest that you fix them before advancing the document. I think that we talked about something similar the DESCRIPTION text suggested by Bert on the corridors in Vienna.

Regards,

Dan

> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: 11 August, 2003 4:20 PM
> To: Romascanu, Dan (Dan); list iptel
> Subject: RE: Comments on draft-ietf-iptel-trip-mib-07.txt
> 
>

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 11 Aug 2003 20:59:05 +0200

Looks good.
I understand that the warnings do not go away.
But they are "warnings", and so we check if the DESCRIPTION
clause has the proper instructions to implementers, and they now
do. So it looks good to me.

Thanks,
Bert 

> From: David Zinman [mailto:[email-masked]]
> Sent: maandag 11 augustus 2003 20:07
> To: Wijnen, Bert (Bert); Romascanu, Dan (Dan); list iptel
> Subject: Re: [Iptel] RE: Comments on draft-ietf-iptel-trip-mib-07.txt
> 
> 
> inline:
> 
> ----- Original Message ----- 
> From: "Wijnen, Bert (Bert)" <[email-masked]>
> To: "Romascanu, Dan (Dan)" <[email-masked]>; "list iptel"
> <[email-masked]>
> Cc: "David Zinman" <[email-masked]>; "Bert Wijnen (E-mail)"
> <[email-masked]>
> Sent: Monday, August 11, 2003 9:20 AM
> Subject: [Iptel] RE: Comments on draft-ietf-iptel-trip-mib-07.txt
> 
> 
> > I think the copyright-year will be addressed by RFC-Editor 
> when it gets
> there.
> > I wonder why sect 14 is needed. I leave this up to TSV 
> AD(s) on how to
> deal
> > with it.
> >
> 
> I am leaving section 14 in for now.
> 
> Added both the reference to RFC 2788 and the REVISION clause 
> in TRIP-TC
> 
> >   as the first accessible object int tripRouteTypeEntry. So 
> prefix is 11
> subids
> >   So we have 6 fixed (5 integers plus length value) subids 
> plus one for
> every
> >   Similar calculation for tripPeerEntry seem to tell me max 
> lenght can be
> 113
> >   instead of 119.
> >   This makes me thin k that it is kind of strange to ha ve 
> different size
> for InetAddress,
> >   is it not. Another way to solve these concerns is to add 
> something to
> the DESCRIPTION
> >   clause that states the implementation issues w.r.t. 128 
> subids instad of
> setting
> >   arbitray size constrains in the SYNTAX field  (that we 
> may regret if the
> 128 subid
> I have removed the restriction on the index sizes, and included the
> description
> of the 128 limit. However this will not get rid of the warnings.
> 
> >   it is not a MUST that you do import it. But as the 
> mib-review-guidelines
> state,
> I have included the IMPORT
> >
> > From a generic review
> Added reference to this BCP (RFC2119)
> 
> I'm leaving this in for now.
> 
> >
> > Thanks,
> > Bert
> >
> 
> I have also addressed Dan's concern about the copyright year 
> and the area
> directors in section 14.
> 
> I will submit the new draft (08) if there are no further comments.
> 
> Cheers,
> DZ
>

---

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 11 Aug 2003 19:00:18 -0500

I don't really think we need Section 14 either. I would counsel the authors
to remove it.

Jon Peterson
NeuStar, Inc.

> Sent: Monday, August 11, 2003 6:20 AM
...
> I wonder why sect 14 is needed. I leave this up to TSV AD(s) on how to
deal
...